<template>
  <div class="rounded-[10px] p-[10px] border border-[#E8F3FA]">
    <div class="flex mb-2">
      <div class="flex items-center justify-center w-[72px] h-12 bg-[#E8F2FA] rounded-[5px] shrink-0 mr-2 overflow-hidden">
        <img :src="file ? file.preview : icon" alt="icon" />
      </div>
      <div>
        <div class="text-[14px] font-bold text-[#133F5D]">{{ title }}</div>
        <div class="text-[12px] text-[#8695A1]">{{ file ? file.name : desc }}</div>
      </div>
    </div>
    <button
      class="w-full h-[33px] border border-[#4195D5] text-[#4195D5] text-[14px] leading-[33px] text-center rounded-full"
      @click.prevent="triggerFileInput"
    >
      Unggah
    </button>
    <input
      type="file"
      ref="fileInput"
      class="hidden"
      @change="handleFileChange"
    />
  </div>
</template>

<script>
export default {
  props: {
    title: {
      type: String
    },
    desc: {
      type: String
    },
    icon: {
      type: String
    }
  },
  data() {
    return {
      file: null,
      picUploadIcon: require('@/assets/images/picUpload.svg'),
    };
  },
  methods: {
    triggerFileInput() {
      this.$refs.fileInput.click();
    },
    handleFileChange(event) {
      const selectedFile = event.target.files[0];
      if (selectedFile) {
        selectedFile.preview = URL.createObjectURL(selectedFile);
        this.file = selectedFile;
      }
    },
    removeFile() {
      URL.revokeObjectURL(this.file.preview);
      this.file = null;
    },
  },
};
</script>
